Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page isrchd_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       isrchd_c ( Search in a double precision array )

       SpiceInt isrchd_c ( SpiceDouble         value,
                           SpiceInt            ndim,
                           ConstSpiceDouble  * array  )
#### Abstract
       Search for a given value within a double precision array. Return
       the index of the first matching array entry, or -1 if the key value
       was not found.
#### Required_Reading
       None.
#### Keywords
       ARRAY
       SEARCH
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       value      I   Key value to be found in array.
       ndim       I   Dimension of array.
       array      I   Double Precision array to search.

       The function returns the index of the first matching array
       element or -1 if the value is not found.
#### Detailed_Input
       value       is the key value to be found in the array.

       ndim        is the dimension of the array.

       array       is the double precision array to be searched.
#### Detailed_Output
       The function returns the index of the first matching array
       element in array. If value is not found, isrchd_c returns -1.
#### Parameters
       None.
#### Exceptions
       Error free.

       1)  If ndim < 1, the function value is -1.
#### Files
       None.
#### Particulars
       None.
#### Examples
       The following table shows the value of isrchd_c given the contents
       of array and value:

          array                        value   isrchd_c
       --------------------------      -----   --------
       1.0D0, 0.0D0, 4.0D0, 2.0D0      4.0D0       2
       1.0D0, 0.0D0, 4.0D0, 2.0D0      2.OD0       3
       1.0D0, 0.0D0, 4.0D0, 2.0D0      3.0D0      -1
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
       W.M. Owen           (JPL)
#### Version
       -CSPICE Version 1.0.1, 03-JUL-2021 (JDR)

           Edited the header to comply with NAIF standard.

       -CSPICE Version 1.0.0, 08-JUL-2002 (NJB) (WMO)
#### Index_Entries
       search in an double precision array
#### Link to routine isrchd_c source file isrchd_c.c

    Fri Dec 31 18:41:08 2021